function H = drawSdr(RT,s,col,textLabel)
% function DRAWSDR(RT)
% params:
% - RT : rototraslation matrix to draw
% - s  : length to draw (if empty default = 1),
% - col: 3x3 vector with a RBG color for each row, first row for x axis color, second y, third zeta (if empty default = [1 0 0; 0 1 0; 0 0 1])

if(~exist('s','var'))
    s = 1;
end
if(~exist('col','var'))
    col = eye(3);
end
if(~exist('textLabel','var'))
    textLabel = '';
end
center = RT(1:3,4); % x,y,z of sdr
xaxis = center + s * RT(1:3,1);
yaxis = center + s * RT(1:3,2);
zaxis = center + s * RT(1:3,3);
H = plot3([center(1) xaxis(1)],[center(2) xaxis(2)],[center(3) xaxis(3)],'Color',col(1,:));
plot3([center(1) yaxis(1)],[center(2) yaxis(2)],[center(3) yaxis(3)],'Color',col(2,:));
plot3([center(1) zaxis(1)],[center(2) zaxis(2)],[center(3) zaxis(3)],'Color',col(3,:));
% text(xaxis(1),xaxis(2),xaxis(3),'x');
% text(yaxis(1),yaxis(2),yaxis(3),'y');
% text(zaxis(1),zaxis(2),zaxis(3),'z');
% text(center(1),center(2),center(3),textLabel);

end